{flake, ...}: let
  aggregatedSearchEngines =
    builtins.foldl' (
      emptySet: searchEngine:
        emptySet // (import ./${searchEngine}.nix)
    ) {} [
      "academic"
      "development"
      "gaming"
      "hidden"
      "shopping"
      "socialMedia"
      "spank"
      "tools"
      "tracking"
      "web"
    ]
    // builtins.foldl' (
      emptySet: searchEngine:
        emptySet // (import ./${searchEngine}.nix {inherit flake;})
    ) {} [
      "selfHosted"
    ];
in {
  search = {
    force = true;
    default = "Kagi";
    engines = aggregatedSearchEngines;
    order = import ./order.nix;
  };
}
