let
  aggregatedSettings =
    builtins.foldl' (
      emptySet: settingsFiles:
        emptySet // (import ./${settingsFiles}.nix)
    ) {} [
      "cosmetics"
      "diskAvoidance"
      "fingerprinting"
      "formFill"
      "geolocation"
      "hardening"
      "https"
      "misc"
      "noTouching"
      "opSec"
      "outbound"
      "passwords"
      "privacy"
      "proxy"
      "startup"
      "telemetry"
    ];
in {
  settings = aggregatedSettings;
}
