{flake, ...}: let
  aggregatedBookmarks =
    builtins.foldl' (
      emptyList: bookmarks:
        emptyList ++ bookmarks.bookmarks
    ) [] (map
      (name: import ./${name}.nix)
      [
        "academic"
        "development"
        "gaming"
        "finances"
        "shopping"
        "socialMedia"
        "tools"
        "tracking"
      ])
    ++ builtins.foldl' (
      emptyList: bookmarks:
        emptyList ++ bookmarks.bookmarks
    ) [] (map
      (name: import ./${name}.nix {inherit flake;})
      [
        "selfHosted"
      ]);
in {
  bookmarks = aggregatedBookmarks;
}
